---
features:
  secondary:
  - name: "Improved visibility level selection"
    available_in: [core, premium, ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/user/public_access.html#change-group-visibility'
    image_url: "/images/17_1/improved-visibility-selection.png"
    reporter: lohrc
    stage: data_stores
    categories:
    - Groups & Projects
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/455668'
    description: |
      Previously, a group's or project's general settings displayed only permitted visibility levels. This view often confused users who tried to understand why the other options were not available, and could lead to information being displayed incorrectly. The new view shows all visibility levels, greying out the options that are not available for selection. In addition, a popover gives further context about why an option is not available. For example, a visibility level could be unavailable because an administrator restricted it, or it would cause a conflict with a project's or parent group's visibility setting.

      We hope these changes help you resolve the conflicts in selecting your desired visibility option. Thank you [@gerardo-navarro](https://gitlab.com/gerardo-navarro) for this community contribution!
